<?php

/**
 * Modulo de Exibio dos produtos na Pgina Principal em FLASH
 * @category Modules
 * @author Odlanier AND GCCSystems
 * @copyright www.prestashopbr.com
 * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
 * @version 0.6
 *
 */
class adsgm5 extends Module
{
	private $_html = '';
	private $_postErrors = array();

	function __construct()
	{
		$this->name = 'adsgm5';
		$this->tab = 'Products';
		$this->version = 0.6;

		parent::__construct(); // The parent construct is required for translations

		$this->page = basename(__FILE__, '.php');
		$this->displayName = $this->l('Featured Products Flash [ADSGM5]');
		$this->description = $this->l('Displays Featured Products in the middle of your homepage');
	}

	function install()
	{
		if 
		(
		!Configuration::updateValue('ADSGM5_BOOK', 		  10)			OR 
		!Configuration::updateValue('ADSGM5_COR1',  "71bf45")			OR
		!Configuration::updateValue('ADSGM5_COR2',  "d42276")			OR
		!Configuration::updateValue('ADSGM5_COR3',  "ffffff")			OR
		!Configuration::updateValue('ADSGM5_LABEL', "Apenas")			OR
		!Configuration::updateValue('ADSGM5_LANCA', "PrestashopBr.com")	OR
		
		
		!parent::install() OR 
		!$this->registerHook('home') OR
		!$this->registerHook('header')
		)
			return false;
		return true;
	}

		public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitslidefeatured'))
		{
			$nbr = intval(Tools::getValue('nbr'));
			if (!$nbr OR $nbr <= 0 OR !Validate::isInt($nbr))
				$errors[] = $this->l('Invalid number of product');
			else
				Configuration::updateValue('ADSGM5_BOOK', $nbr);
			if (isset($errors) AND count($errors))
				$output .= $this->displayError(implode('<br />', $errors));
			else
				$output .= $this->displayConfirmation($this->l('Settings updated'));
		}
		
		if(Tools::isSubmit('submitslidefeaturedcolors'))
		{			
			$cor1 	= (Tools::getValue('color_one'));
			$cor2 	= (Tools::getValue('color_two'));
			$cor3 	= (Tools::getValue('color_tre'));
			$label 	= (Tools::getValue('label_text'));
			$lanca 	= (Tools::getValue('label_lanc'));
			
				Configuration::updateValue('ADSGM5_COR1',  $cor1);
				Configuration::updateValue('ADSGM5_COR2',  $cor2);
				Configuration::updateValue('ADSGM5_COR3',  $cor3);
				Configuration::updateValue('ADSGM5_LABEL', $label);
				Configuration::updateValue('ADSGM5_LANCA', $lanca);
				$output .= $this->displayConfirmation($this->l('Settings updated'));
		}
		
		
		return $output.$this->displayForm();
	}

		public function displayForm()
	{
		/** Desativao Temporria **/
		/*$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
				<label>'.$this->l('Number of products to display').'</label>
				<div class="margin-form">
					<input type="text" size="5" name="nbr" value="'.
			Tools::getValue('nbr', Configuration::get('ADSGM5_BOOK')).'" />
				<p class="clear">'.$this->l('The number of products sorted on homepage (default: 10)').'</p>
					
				</div>
				<center>
					<input type="submit" name="submitslidefeatured" value="'.$this->l('Save').'" class="button" />
				</center>
			</fieldset>
		</form>';*/
		
		$output .= '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Colors').'</legend>
				
				<label>'.$this->l('Color One').'</label>
				<div class="margin-form">
					<input type="text" size="6" name="color_one" value="'.
			Tools::getValue('cor1', Configuration::get('ADSGM5_COR1')).'" />
				<p class="clear">'.$this->l('Input color one color in ffffff').'</p>
				</div>
				
				<label>'.$this->l('Color Two').'</label>
				<div class="margin-form">
					<input type="text" size="6" name="color_two" value="'.
			Tools::getValue('cor2', Configuration::get('ADSGM5_COR2')).'" />
				<p class="clear">'.$this->l('Input color two color in format 000000').'</p>
				</div>
				
				<label>'.$this->l('Color Background').'</label>
				<div class="margin-form">
					<input type="text" size="6" name="color_tre" value="'.
			Tools::getValue('cor2', Configuration::get('ADSGM5_COR3')).'" />
				<p class="clear">'.$this->l('Input color two color in format ffffff').'</p>
				</div>
				
				<label>'.$this->l('Label of Price').'</label>
				<div class="margin-form">
					<input type="text" size="20" name="label_text" value="'.
			Tools::getValue('label', Configuration::get('ADSGM5_LABEL')).'" />
				<p class="clear">'.$this->l('Ex: On Sale.').'</p>
				</div>
				
				<label>'.$this->l('Label of Stripe').'</label>
				<div class="margin-form">
					<input type="text" size="20" name="label_lanc" value="'.
			Tools::getValue('lanca', Configuration::get('ADSGM5_LANCA')).'" />
				<p class="clear">'.$this->l('Ex: Featured').'</p>
				</div>
				
				<center>
					<input type="submit" name="submitslidefeaturedcolors" value="'.$this->l('Save').'" class="button" />
				</center>
			</fieldset>
		</form>';
		
		return $output;
	}

	function hookHeader()
	{
		include('adsgm5Header.inc');
		return $output;
	}

	function hookHome($params)
	{
		
		$cor1  =  Tools::getValue('cor1', 	Configuration::get('ADSGM5_COR1'));
		$cor2  =  Tools::getValue('cor2', 	Configuration::get('ADSGM5_COR2'));
		$cor3  =  Tools::getValue('cor3', 	Configuration::get('ADSGM5_COR3'));
		$label =  Tools::getValue('label',	Configuration::get('ADSGM5_LABEL'));
		$lanca =  Tools::getValue('lanca',	Configuration::get('ADSGM5_LANCA'));
		
		$soma	=	strlen($cor1) + strlen($cor2) + strlen($cor3);
					
		if ( $soma == 18 )
		$setcolor	=	"verdadeiro";
		
		else
		$setcolor	=	"falso";
		
		
		include('adsgm5Body.inc');
		echo $output;
	}

}
